"use strict";
var common_request = require("../common/request.js");
let request = new common_request.Request().http;
function getFollowList(data) {
  return request("/app/follow/getFollowList", data, "GET");
}
function getFollowById(data) {
  return request("/app/follow/getFollowById", data, "GET");
}
function doFollow(data) {
  return request("/app/follow/doFollow", data, "POST", "application/json;charset=UTF-8");
}
exports.doFollow = doFollow;
exports.getFollowById = getFollowById;
exports.getFollowList = getFollowList;
