"use strict";
var common_request = require("../common/request.js");
let request = new common_request.Request().http;
function wxLogin(data) {
  return request("/app/wx/login", data, "POST", "application/json;charset=UTF-8");
}
function getUserInfo() {
  return request("/app/user/getUserInfo", null, "GET");
}
function checkLogin() {
  return request("/app/user/checkLogin", null, "GET");
}
function editUser(data) {
  return request("/app/user/editUser", data, "POST", "application/json;charset=UTF-8");
}
function registerDoctor(data) {
  return request("/app/user/registerDoctor", data, "POST", "application/json;charset=UTF-8");
}
function getMyCouponList(data) {
  return request("/app/user/getMyCouponList", data, "GET");
}
function getMyEnableCouponList(data) {
  return request("/app/user/getMyEnableCouponList", data, "GET");
}
function getAppContactWay(userId) {
  return request("/app/user/getAppContactWay/" + userId, null, "GET");
}
exports.checkLogin = checkLogin;
exports.editUser = editUser;
exports.getAppContactWay = getAppContactWay;
exports.getMyCouponList = getMyCouponList;
exports.getMyEnableCouponList = getMyEnableCouponList;
exports.getUserInfo = getUserInfo;
exports.registerDoctor = registerDoctor;
exports.wxLogin = wxLogin;
