"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports[Symbol.toStringTag] = "Module";
var common_vendor = require("./common/vendor.js");
var pages_TUIKit_TUICore_server_conversation_index = require("./pages/TUIKit/TUICore/server/conversation/index.js");
require("./store/index.js");
var pages_TUIKit_TUICore_server_profile_index = require("./pages/TUIKit/TUICore/server/profile/index.js");
var api_common = require("./api/common.js");
var api_user = require("./api/user.js");
var uni_modules_uviewPlus_index = require("./uni_modules/uview-plus/index.js");
var utils_common = require("./utils/common.js");
require("./pages/TUIKit/TUICore/server/IComponentServer.js");
require("./store/modules.js");
require("./store/modules/timStore.js");
require("./common/request.js");
require("./uni_modules/uview-plus/libs/mixin/mixin.js");
require("./uni_modules/uview-plus/libs/mixin/mpMixin.js");
require("./uni_modules/uview-plus/libs/luch-request/core/Request.js");
require("./uni_modules/uview-plus/libs/luch-request/core/dispatchRequest.js");
require("./uni_modules/uview-plus/libs/luch-request/adapters/index.js");
require("./uni_modules/uview-plus/libs/luch-request/helpers/buildURL.js");
require("./uni_modules/uview-plus/libs/luch-request/utils.js");
require("./uni_modules/uview-plus/libs/luch-request/core/buildFullPath.js");
require("./uni_modules/uview-plus/libs/luch-request/helpers/isAbsoluteURL.js");
require("./uni_modules/uview-plus/libs/luch-request/helpers/combineURLs.js");
require("./uni_modules/uview-plus/libs/luch-request/core/settle.js");
require("./uni_modules/uview-plus/libs/luch-request/core/InterceptorManager.js");
require("./uni_modules/uview-plus/libs/luch-request/core/mergeConfig.js");
require("./uni_modules/uview-plus/libs/luch-request/core/defaults.js");
require("./uni_modules/uview-plus/libs/luch-request/utils/clone.js");
require("./uni_modules/uview-plus/libs/util/route.js");
require("./uni_modules/uview-plus/libs/function/colorGradient.js");
require("./uni_modules/uview-plus/libs/function/test.js");
require("./uni_modules/uview-plus/libs/function/debounce.js");
require("./uni_modules/uview-plus/libs/function/throttle.js");
require("./uni_modules/uview-plus/libs/function/index.js");
require("./uni_modules/uview-plus/libs/function/digit.js");
require("./uni_modules/uview-plus/libs/config/config.js");
require("./uni_modules/uview-plus/libs/config/props.js");
require("./uni_modules/uview-plus/libs/config/props/actionSheet.js");
require("./uni_modules/uview-plus/libs/config/props/album.js");
require("./uni_modules/uview-plus/libs/config/props/alert.js");
require("./uni_modules/uview-plus/libs/config/props/avatar.js");
require("./uni_modules/uview-plus/libs/config/props/avatarGroup.js");
require("./uni_modules/uview-plus/libs/config/props/backtop.js");
require("./uni_modules/uview-plus/libs/config/props/badge.js");
require("./uni_modules/uview-plus/libs/config/props/button.js");
require("./uni_modules/uview-plus/libs/config/props/calendar.js");
require("./uni_modules/uview-plus/libs/config/props/carKeyboard.js");
require("./uni_modules/uview-plus/libs/config/props/cell.js");
require("./uni_modules/uview-plus/libs/config/props/cellGroup.js");
require("./uni_modules/uview-plus/libs/config/props/checkbox.js");
require("./uni_modules/uview-plus/libs/config/props/checkboxGroup.js");
require("./uni_modules/uview-plus/libs/config/props/circleProgress.js");
require("./uni_modules/uview-plus/libs/config/props/code.js");
require("./uni_modules/uview-plus/libs/config/props/codeInput.js");
require("./uni_modules/uview-plus/libs/config/props/col.js");
require("./uni_modules/uview-plus/libs/config/props/collapse.js");
require("./uni_modules/uview-plus/libs/config/props/collapseItem.js");
require("./uni_modules/uview-plus/libs/config/props/columnNotice.js");
require("./uni_modules/uview-plus/libs/config/props/countDown.js");
require("./uni_modules/uview-plus/libs/config/props/countTo.js");
require("./uni_modules/uview-plus/libs/config/props/datetimePicker.js");
require("./uni_modules/uview-plus/libs/config/props/divider.js");
require("./uni_modules/uview-plus/libs/config/props/empty.js");
require("./uni_modules/uview-plus/libs/config/props/form.js");
require("./uni_modules/uview-plus/libs/config/props/formItem.js");
require("./uni_modules/uview-plus/libs/config/props/gap.js");
require("./uni_modules/uview-plus/libs/config/props/grid.js");
require("./uni_modules/uview-plus/libs/config/props/gridItem.js");
require("./uni_modules/uview-plus/libs/config/props/icon.js");
require("./uni_modules/uview-plus/libs/config/props/image.js");
require("./uni_modules/uview-plus/libs/config/props/indexAnchor.js");
require("./uni_modules/uview-plus/libs/config/props/indexList.js");
require("./uni_modules/uview-plus/libs/config/props/input.js");
require("./uni_modules/uview-plus/libs/config/props/keyboard.js");
require("./uni_modules/uview-plus/libs/config/props/line.js");
require("./uni_modules/uview-plus/libs/config/props/lineProgress.js");
require("./uni_modules/uview-plus/libs/config/props/link.js");
require("./uni_modules/uview-plus/libs/config/props/list.js");
require("./uni_modules/uview-plus/libs/config/props/listItem.js");
require("./uni_modules/uview-plus/libs/config/props/loadingIcon.js");
require("./uni_modules/uview-plus/libs/config/props/loadingPage.js");
require("./uni_modules/uview-plus/libs/config/props/loadmore.js");
require("./uni_modules/uview-plus/libs/config/props/modal.js");
require("./uni_modules/uview-plus/libs/config/props/navbar.js");
require("./uni_modules/uview-plus/libs/config/color.js");
require("./uni_modules/uview-plus/libs/config/props/noNetwork.js");
require("./uni_modules/uview-plus/libs/config/props/noticeBar.js");
require("./uni_modules/uview-plus/libs/config/props/notify.js");
require("./uni_modules/uview-plus/libs/config/props/numberBox.js");
require("./uni_modules/uview-plus/libs/config/props/numberKeyboard.js");
require("./uni_modules/uview-plus/libs/config/props/overlay.js");
require("./uni_modules/uview-plus/libs/config/props/parse.js");
require("./uni_modules/uview-plus/libs/config/props/picker.js");
require("./uni_modules/uview-plus/libs/config/props/popup.js");
require("./uni_modules/uview-plus/libs/config/props/radio.js");
require("./uni_modules/uview-plus/libs/config/props/radioGroup.js");
require("./uni_modules/uview-plus/libs/config/props/rate.js");
require("./uni_modules/uview-plus/libs/config/props/readMore.js");
require("./uni_modules/uview-plus/libs/config/props/row.js");
require("./uni_modules/uview-plus/libs/config/props/rowNotice.js");
require("./uni_modules/uview-plus/libs/config/props/scrollList.js");
require("./uni_modules/uview-plus/libs/config/props/search.js");
require("./uni_modules/uview-plus/libs/config/props/section.js");
require("./uni_modules/uview-plus/libs/config/props/skeleton.js");
require("./uni_modules/uview-plus/libs/config/props/slider.js");
require("./uni_modules/uview-plus/libs/config/props/statusBar.js");
require("./uni_modules/uview-plus/libs/config/props/steps.js");
require("./uni_modules/uview-plus/libs/config/props/stepsItem.js");
require("./uni_modules/uview-plus/libs/config/props/sticky.js");
require("./uni_modules/uview-plus/libs/config/props/subsection.js");
require("./uni_modules/uview-plus/libs/config/props/swipeAction.js");
require("./uni_modules/uview-plus/libs/config/props/swipeActionItem.js");
require("./uni_modules/uview-plus/libs/config/props/swiper.js");
require("./uni_modules/uview-plus/libs/config/props/swipterIndicator.js");
require("./uni_modules/uview-plus/libs/config/props/switch.js");
require("./uni_modules/uview-plus/libs/config/props/tabbar.js");
require("./uni_modules/uview-plus/libs/config/props/tabbarItem.js");
require("./uni_modules/uview-plus/libs/config/props/tabs.js");
require("./uni_modules/uview-plus/libs/config/props/tag.js");
require("./uni_modules/uview-plus/libs/config/props/text.js");
require("./uni_modules/uview-plus/libs/config/props/textarea.js");
require("./uni_modules/uview-plus/libs/config/props/toast.js");
require("./uni_modules/uview-plus/libs/config/props/toolbar.js");
require("./uni_modules/uview-plus/libs/config/props/tooltip.js");
require("./uni_modules/uview-plus/libs/config/props/transition.js");
require("./uni_modules/uview-plus/libs/config/props/upload.js");
require("./uni_modules/uview-plus/libs/config/props/drawer.js");
require("./uni_modules/uview-plus/libs/config/zIndex.js");
require("./uni_modules/uview-plus/libs/function/platform.js");
if (!Math) {
  "./pages/common/launch.js";
  "./pages/auth/login.js";
  "./pages/index/index.js";
  "./pages/index/h5.js";
  "./pages/index/content.js";
  "./pages/doctor/index.js";
  "./pages/store/index.js";
  "./pages/user/index.js";
  "./pages/TUIKit/TUIPages/TUIConversation/index.js";
  "./pages/TUIKit/TUIPages/TUIConversation/create.js";
  "./pages/TUIKit/TUIPages/TUIChat/index.js";
  "./pages/TUIKit/TUIPages/TUIChat/components/message-elements/video-play.js";
  "./pages_index/testList.js";
  "./pages_index/testDetails.js";
  "./pages_index/test.js";
  "./pages_index/testResult.js";
  "./pages_index/testResultImg.js";
  "./pages_index/articleList.js";
  "./pages_index/articleDetails.js";
  "./pages_index/diseaseList.js";
  "./pages_index/diseaseDetails.js";
  "./pages_index/hospitalList.js";
  "./pages_index/hospitalDetails.js";
  "./pages_index/search.js";
  "./pages_index/famousPrescribeList.js";
  "./pages_index/famousPrescribeDetails.js";
  "./pages_index/vesselList.js";
  "./pages_index/vesselDetails.js";
  "./pages_index/chineseMedicineList.js";
  "./pages_index/chineseMedicineDetails.js";
  "./pages_index/medicatedFoodList.js";
  "./pages_index/medicatedFoodDetails.js";
  "./pages_index/questionsList.js";
  "./pages_index/questionsDetails.js";
  "./pages_index/packageList.js";
  "./pages_index/packageDetails.js";
  "./pages_index/packageForm.js";
  "./pages_doctor/doctorArticleList.js";
  "./pages_doctor/doctorArticleDetails.js";
  "./pages_doctor/doctorList.js";
  "./pages_doctor/doctorDetails.js";
  "./pages_doctor/doctorPingList.js";
  "./pages_doctor/doctorInfo.js";
  "./pages_doctor/doctorImgs.js";
  "./pages_order/inquiryOrderList.js";
  "./pages_order/inquiryOrderDetails.js";
  "./pages_order/inquiryOrderPingList.js";
  "./pages_order/inquirySelect.js";
  "./pages_order/inquirySelectType.js";
  "./pages_order/inquiryForm1.js";
  "./pages_order/inquiryForm2_1.js";
  "./pages_order/inquiryForm2_2.js";
  "./pages_order/inquiryForm3.js";
  "./pages_order/inquiryPay.js";
  "./pages_order/inquiryPayment.js";
  "./pages_order/tzPay.js";
  "./pages_order/tzWeixinPay.js";
  "./pages_order/inquiryOrderPaySuccess.js";
  "./pages_order/storeOrderPaySuccess.js";
  "./pages_order/courseOrderPayment.js";
  "./pages_order/courseOrderPaySuccess.js";
  "./pages_order/userVipOrderPayment.js";
  "./pages_order/userVipOrderOrderPaySuccess.js";
  "./pages_order/pingOrder.js";
  "./pages_order/prescribeList.js";
  "./pages_order/prescribeDetails.js";
  "./pages_order/storeOrderList.js";
  "./pages_order/storeOrderDetail.js";
  "./pages_order/storeOrderPay.js";
  "./pages_order/storeOrderPayment.js";
  "./pages_order/inquiryOrderReport.js";
  "./pages_order/packageOrderDetails.js";
  "./pages_order/packageOrderList.js";
  "./pages_order/packageOrderPay.js";
  "./pages_order/packageOrderPaySuccess.js";
  "./pages_order/storeOrderDelivery.js";
  "./pages_order/storeOrderRefundApply.js";
  "./pages_order/storeOrderRefundSubmit.js";
  "./pages_order/storeOrderRefundList.js";
  "./pages_order/storeOrderRefundDetails.js";
  "./pages_order/storeOrderRefundAddDelivery.js";
  "./pages_order/packageOtherPayment.js";
  "./pages_order/packagePayment.js";
  "./pages_user/registerDoctor.js";
  "./pages_user/about.js";
  "./pages_user/address.js";
  "./pages_user/addEditAddress.js";
  "./pages_user/personInfo.js";
  "./pages_user/agreement.js";
  "./pages_user/myDoctorList.js";
  "./pages_user/patient.js";
  "./pages_user/addEditPatient.js";
  "./pages_user/myCouponList.js";
  "./pages_user/cert.js";
  "./pages_user/followList.js";
  "./pages_user/followDetails.js";
  "./pages_user/drugReportList.js";
  "./pages_user/drugReportPing.js";
  "./pages_user/drugReportDetails.js";
  "./pages_user/doFollow.js";
  "./pages_user/integralGoodsList.js";
  "./pages_user/integralGoodsDetails.js";
  "./pages_user/integralOrderList.js";
  "./pages_user/integralOrderDetails.js";
  "./pages_user/integralLogsList.js";
  "./pages_user/integralOrderPay.js";
  "./pages_user/integralOrderPaySuccess.js";
  "./pages_user/integral.js";
  "./pages_user/price.js";
  "./pages_user/healthRecords/index.js";
  "./pages_user/healthRecords/add.js";
  "./pages_user/healthRecords/edit.js";
  "./pages_user/tongue/index.js";
  "./pages_user/tongue/report.js";
  "./pages_user/tongue/photoPreview.js";
  "./pages_user/tongue/tongueList.js";
  "./pages_user/addHealthButler.js";
  "./pages_company/login.js";
  "./pages_company/index.js";
  "./pages_company/packageList.js";
  "./pages_company/packageDetails.js";
  "./pages_company/packageOrderList.js";
  "./pages_company/packageOrderDetails.js";
  "./pages_company/couponList.js";
  "./pages_company/couponDetails.js";
  "./pages_company/inquiryOrderList.js";
  "./pages_company/inquiryOrderDetails.js";
  "./pages_company/storeOrderList.js";
  "./pages_company/storeOrderDetail.js";
  "./pages_company/storeOrderDelivery.js";
  "./pages_course/video.js";
}
const TIM = require("tim-wx-sdk");
var appId = 1400825410;
common_vendor.index.$TUIKit = TIM.create({
  SDKAppID: appId
});
common_vendor.index.$TIM = TIM;
common_vendor.index.$TUIKit.registerPlugin({
  "tim-upload-plugin": common_vendor.TIMUploadPlugin
});
common_vendor.index.$TUIKit.TUIConversationServer = new pages_TUIKit_TUICore_server_conversation_index.TUIConversationServer();
common_vendor.index.$TUIKit.TUIProfileServer = new pages_TUIKit_TUICore_server_profile_index.TUIProfileServer();
require("./wxcomponents/TUICallKit/TUICallKit/serve/callManager");
const _sfc_main = {
  onLaunch: function() {
    this.bindTIMEvent();
    common_vendor.index.$on("refreshIM", () => {
      this.checkLogin();
    });
    var urls = "https://1701081189.cdwjyyh.com;https://1696746017.cdwjyyh.com;https://1708196565.cdwjyyh.com;https://1700206673.cdwjyyh.com;https://1723317680.cdwjyyh.com;https://1700575323.cdwjyyh.com;https://1706979252.cdwjyyh.com;https://1697148962.cdwjyyh.com;https://1722131630.cdwjyyh.com;https://1716969562.cdwjyyh.com;https://1695072024.cdwjyyh.com;https://1720639647.cdwjyyh.com;https://1695440159.cdwjyyh.com;https://1707741400.cdwjyyh.com;https://1708937934.cdwjyyh.com;https://1718087536.cdwjyyh.com;https://1724494814.cdwjyyh.com;https://1703101076.cdwjyyh.com;https://1712251670.cdwjyyh.com;https://1701764981.cdwjyyh.com;https://1709430520.cdwjyyh.com;https://1716356434.cdwjyyh.com;https://1716808011.cdwjyyh.com;https://1710609621.cdwjyyh.com;https://1705257092.cdwjyyh.com;https://1721137588.cdwjyyh.com;https://1703567784.cdwjyyh.com;https://1721509816.cdwjyyh.com;https://1720396718.cdwjyyh.com;https://1721936263.cdwjyyh.com;https://1716050799.cdwjyyh.com;https://1713109810.cdwjyyh.com;https://1725223167.cdwjyyh.com;https://1722019208.cdwjyyh.com;https://1702848339.cdwjyyh.com;https://1707911907.cdwjyyh.com;https://1717849419.cdwjyyh.com;https://1703809724.cdwjyyh.com;https://1724650239.cdwjyyh.com;https://1707113459.cdwjyyh.com;https://1715669104.cdwjyyh.com;https://1710051545.cdwjyyh.com;https://1722269330.cdwjyyh.com;https://1710003925.cdwjyyh.com;https://1714555145.cdwjyyh.com;https://1720634288.cdwjyyh.com;https://1696593184.cdwjyyh.com;https://1704962208.cdwjyyh.com;https://1703146177.cdwjyyh.com;https://1704346325.cdwjyyh.com;https://1697387624.cdwjyyh.com;https://1702551094.cdwjyyh.com;https://1720523201.cdwjyyh.com;https://1714391651.cdwjyyh.com;https://1698957834.cdwjyyh.com;https://1710582715.cdwjyyh.com;https://1696073814.cdwjyyh.com;https://1701427000.cdwjyyh.com;https://1703620825.cdwjyyh.com;https://1716954881.cdwjyyh.com;https://1709258681.cdwjyyh.com;https://1702178349.cdwjyyh.com;https://1696037454.cdwjyyh.com;https://1707163288.cdwjyyh.com;https://1698272613.cdwjyyh.com;https://1695736399.cdwjyyh.com;https://1707979666.cdwjyyh.com;https://1699631662.cdwjyyh.com;https://1725584568.cdwjyyh.com;https://1709711499.cdwjyyh.com;https://1707988905.cdwjyyh.com;https://1709289861.cdwjyyh.com;https://1720027873.cdwjyyh.com;https://1723979172.cdwjyyh.com;https://1711804525.cdwjyyh.com;https://1702653210.cdwjyyh.com;https://1711075739.cdwjyyh.com;https://1710979987.cdwjyyh.com;https://1724292527.cdwjyyh.com;https://1704964596.cdwjyyh.com;https://1703840482.cdwjyyh.com;https://1709061808.cdwjyyh.com;https://1718492957.cdwjyyh.com;https://1708829102.cdwjyyh.com;https://1716362553.cdwjyyh.com;https://1710541443.cdwjyyh.com;https://1715811900.cdwjyyh.com;https://1718208786.cdwjyyh.com;https://1704651745.cdwjyyh.com;https://1699759405.cdwjyyh.com;https://1713080422.cdwjyyh.com;https://1715403843.cdwjyyh.com;https://1696900518.cdwjyyh.com;https://1707770189.cdwjyyh.com;https://1700034515.cdwjyyh.com;https://1715466167.cdwjyyh.com;https://1709976677.cdwjyyh.com;https://1712370330.cdwjyyh.com;https://1706087997.cdwjyyh.com;https://1703496196.cdwjyyh.com;https://1712266369.cdwjyyh.com;https://1712318592.cdwjyyh.com;https://1712812440.cdwjyyh.com;https://1715678161.cdwjyyh.com;https://1702028001.cdwjyyh.com;https://1721667850.cdwjyyh.com;https://1696462985.cdwjyyh.com;https://1707192149.cdwjyyh.com;https://1704821512.cdwjyyh.com;https://1723797034.cdwjyyh.com;https://1704429569.cdwjyyh.com;https://1709243255.cdwjyyh.com;https://1722028860.cdwjyyh.com;https://1712967809.cdwjyyh.com;https://1705848887.cdwjyyh.com;https://1695675535.cdwjyyh.com;https://1725746755.cdwjyyh.com;https://1723025937.cdwjyyh.com;https://1723488798.cdwjyyh.com;https://1700104177.cdwjyyh.com;https://1724293219.cdwjyyh.com;https://1726204998.cdwjyyh.com;https://1714031757.cdwjyyh.com;https://1713130421.cdwjyyh.com;https://1723148318.cdwjyyh.com;https://1725755505.cdwjyyh.com;https://1720760127.cdwjyyh.com;https://1709058929.cdwjyyh.com;https://1706935822.cdwjyyh.com;https://1698429582.cdwjyyh.com;https://1725312611.cdwjyyh.com;https://1709158760.cdwjyyh.com;https://1712496042.cdwjyyh.com;https://1707326074.cdwjyyh.com;https://1704652832.cdwjyyh.com;https://1722471447.cdwjyyh.com;https://1715081607.cdwjyyh.com;https://1722709008.cdwjyyh.com;https://1705411096.cdwjyyh.com;https://1722112356.cdwjyyh.com;https://1713176285.cdwjyyh.com;https://1710638388.cdwjyyh.com;https://1703201862.cdwjyyh.com;https://1716520084.cdwjyyh.com;https://1716201102.cdwjyyh.com;https://1714278120.cdwjyyh.com;https://1695811036.cdwjyyh.com;https://1696612587.cdwjyyh.com;https://1720738395.cdwjyyh.com;https://1722208363.cdwjyyh.com;https://1697138661.cdwjyyh.com;https://1717887413.cdwjyyh.com;https://1715113705.cdwjyyh.com;https://1696048580.cdwjyyh.com;https://1696166861.cdwjyyh.com;https://1707853597.cdwjyyh.com;https://1709274679.cdwjyyh.com;https://1722858089.cdwjyyh.com;https://1715419874.cdwjyyh.com;https://1715116007.cdwjyyh.com;https://1722314568.cdwjyyh.com;https://1724746541.cdwjyyh.com;https://1718762128.cdwjyyh.com;https://1720163684.cdwjyyh.com;https://1724770857.cdwjyyh.com;https://1708580403.cdwjyyh.com;https://1705948747.cdwjyyh.com;https://1700682425.cdwjyyh.com;https://1702858903.cdwjyyh.com;https://1725605169.cdwjyyh.com;https://1699065003.cdwjyyh.com;https://1696786637.cdwjyyh.com;https://1708356387.cdwjyyh.com;https://1699525562.cdwjyyh.com;https://1720968292.cdwjyyh.com;https://1710909698.cdwjyyh.com;https://1700467361.cdwjyyh.com;https://1695683561.cdwjyyh.com;https://1725858080.cdwjyyh.com;https://1702911871.cdwjyyh.com";
    var urlList = urls.split(";");
    console.log(this.getRandomInt(0, urlList.length - 1));
    var path = urlList[this.getRandomInt(0, urlList.length - 1)];
    console.log(path);
    common_vendor.index.setStorageSync("requestPath", path);
  },
  onUnload() {
  },
  onShow() {
    common_vendor.index.getSystemInfo({
      success: (result) => {
        let statusBarHeight = result.statusBarHeight + "px";
        const menuButtonInfo = common_vendor.index.getMenuButtonBoundingClientRect();
        let menuWidth = menuButtonInfo.width + "px";
        let menuHeight = menuButtonInfo.height + "px";
        let menuBorderRadius = menuButtonInfo.height / 2 + "px";
        let menuRight = result.screenWidth - menuButtonInfo.right + "px";
        let menuTop = menuButtonInfo.top + "px";
        let contentTop = result.statusBarHeight + 44 + "px";
        let menuInfo = {
          statusBarHeight,
          menuWidth,
          menuHeight,
          menuBorderRadius,
          menuRight,
          menuTop,
          contentTop
        };
        common_vendor.index.setStorageSync("menuInfo", menuInfo);
      },
      fail: (error) => {
        console.log(error);
      }
    });
  },
  methods: {
    getRandomInt(min, max) {
      const minCeiled = Math.ceil(min);
      const maxFloored = Math.floor(max);
      return Math.floor(Math.random() * (maxFloored - minCeiled + 1) + minCeiled);
    },
    checkLogin() {
      api_user.checkLogin().then((res) => {
        if (res.code == 200) {
          this.imLogin(res.userId);
        }
      }, (rej) => {
      });
    },
    imLogin(userId) {
      var uid = "U-" + userId;
      var data = { userId: uid };
      api_common.getTlsSig(data).then((res) => {
        console.log(data);
        if (res.code == 200) {
          var sign = res.data;
          common_vendor.index.setStorageSync("sign", sign);
          common_vendor.index.$chat_SDKAppID = appId;
          common_vendor.index.$chat_userID = uid;
          common_vendor.index.$chat_userSig = sign;
          common_vendor.index.$TUIKit.login({ userID: uid, userSig: sign }).then((res2) => {
            console.log("im\u767B\u5F55\u6210\u529F");
          });
        } else {
          common_vendor.index.showToast({
            icon: "none",
            title: "\u8BF7\u6C42\u5931\u8D25"
          });
        }
      }, (rej) => {
      });
    },
    bindTIMEvent() {
      common_vendor.index.$TUIKit.on(common_vendor.index.$TIM.EVENT.SDK_READY, this.handleSDKReady);
      common_vendor.index.$TUIKit.on(common_vendor.index.$TIM.EVENT.SDK_NOT_READY, this.handleSDKNotReady);
      common_vendor.index.$TUIKit.on(common_vendor.index.$TIM.EVENT.KICKED_OUT, this.handleKickedOut);
    },
    handleSDKReady(event) {
      common_vendor.index.$chat_isSDKReady = true;
      common_vendor.index.getStorageSync("userId");
      var avatar = common_vendor.index.getStorageSync("avatar");
      var nickName = common_vendor.index.getStorageSync("nickName");
      console.log(avatar);
      common_vendor.index.$TUIKit.updateMyProfile({
        nick: nickName,
        avatar,
        gender: TIM.TYPES.GENDER_MALE,
        selfSignature: "\u6211\u7684\u4E2A\u6027\u7B7E\u540D",
        allowType: TIM.TYPES.ALLOW_TYPE_ALLOW_ANY
      }).then((res) => {
        console.log("\u4E2A\u4EBA\u4FE1\u606F\u4FEE\u6539\u6210\u529F");
      });
      common_vendor.index.$emit("refreshMsgCount");
    },
    handleSDKNotReady(event) {
      console.log("SDK\u6CA1\u6709\u51C6\u5907" + event);
    },
    handleKickedOut(event) {
      common_vendor.index.clearStorageSync();
      common_vendor.index.showToast({
        title: `${this.kickedOutReason(event.data.type)}\u88AB\u8E22\u51FA\u3002`,
        icon: "none"
      });
    },
    kickedOutReason(type) {
      switch (type) {
        case common_vendor.index.$TIM.TYPES.KICKED_OUT_MULT_ACCOUNT:
          return "\u591A\u5B9E\u4F8B\u767B\u5F55";
        case common_vendor.index.$TIM.TYPES.KICKED_OUT_MULT_DEVICE:
          return "\u591A\u8BBE\u5907\u767B\u5F55";
        case common_vendor.index.$TIM.TYPES.KICKED_OUT_USERSIG_EXPIRED:
          return "userSig \u8FC7\u671F";
        case common_vendor.index.$TIM.TIM.TYPES.KICKED_OUT_REST_API:
          return "REST API kick \u63A5\u53E3\u8E22\u51FA";
        default:
          return "";
      }
    }
  }
};
var App = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__file", "E:/Project/2023/\u95EE\u8BCA\u5E73\u53F0/his_user_miniapp/App.vue"]]);
function createApp() {
  const app = common_vendor.createSSRApp(App);
  app.config.globalProperties.$getProvider = utils_common.getProvider;
  app.config.globalProperties.$parsePhone = utils_common.parsePhone;
  app.config.globalProperties.$isLogin = utils_common.isLogin;
  app.config.globalProperties.$isEmpty = utils_common.isEmpty;
  app.config.globalProperties.$getAge = utils_common.getAge;
  app.config.globalProperties.$parseIdCard = utils_common.parseIdCard;
  app.config.globalProperties.$getDictLabelName = utils_common.getDictLabelName;
  app.config.globalProperties.$logout = utils_common.logout;
  app.config.globalProperties.$clearHisSearch = utils_common.clearHisSearch;
  app.config.globalProperties.$getHisSearch = utils_common.getHisSearch;
  app.config.globalProperties.$addHisSearch = utils_common.addHisSearch;
  app.config.globalProperties.$urlToObj = utils_common.urlToObj;
  app.config.globalProperties.$parseText = utils_common.parseText;
  app.config.globalProperties.$parseIDCardInfo = utils_common.parseIDCardInfo;
  app.config.globalProperties.$isLoginCourse = utils_common.isLoginCourse;
  app.use(uni_modules_uviewPlus_index.uviewPlus);
  return {
    app
  };
}
createApp().app.mount("#app");
exports.createApp = createApp;
