"use strict";
var __defProp = Object.defineProperty;
var __defProps = Object.defineProperties;
var __getOwnPropDescs = Object.getOwnPropertyDescriptors;
var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __spreadValues = (a, b) => {
  for (var prop in b || (b = {}))
    if (__hasOwnProp.call(b, prop))
      __defNormalProp(a, prop, b[prop]);
  if (__getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(b)) {
      if (__propIsEnum.call(b, prop))
        __defNormalProp(a, prop, b[prop]);
    }
  return a;
};
var __spreadProps = (a, b) => __defProps(a, __getOwnPropDescs(b));
var common_vendor = require("../../../../../../common/vendor.js");
var common_assets = require("../../../../../../common/assets.js");
const MessageOperate = common_vendor.defineComponent({
  props: {
    data: {
      type: Object,
      default: () => {
        return {};
      }
    }
  },
  setup(props, ctx) {
    const TUIServer = common_vendor.index.$TUIKit.TUIChatServer;
    const data = common_vendor.reactive({
      message: {}
    });
    common_vendor.watchEffect(() => {
      data.message = props.data;
    });
    const handleMseeage = async (type) => {
      switch (type) {
        case "revoke":
          await TUIServer.revokeMessage(data.message).catch((error) => {
            if (error.code = 20016)
              common_vendor.index.showToast({
                title: "\u6D88\u606F\u8D85\u8FC7\u4E86 2 \u5206\u949F",
                icon: "error"
              });
          });
          data.dialogID = "";
          break;
        case "delete":
          await TUIServer.deleteMessage([data.message]);
          data.dialogID = "";
          break;
        case "resend":
          await TUIServer.resendMessage(data.message);
          data.dialogID = "";
          break;
      }
    };
    return __spreadProps(__spreadValues({}, common_vendor.toRefs(data)), {
      handleMseeage
    });
  }
});
const _sfc_main = MessageOperate;
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return common_vendor.e({
    a: _ctx.message.flow === "out" && _ctx.message.status === "success"
  }, _ctx.message.flow === "out" && _ctx.message.status === "success" ? {
    b: common_assets._imports_0$3,
    c: common_vendor.o(($event) => _ctx.handleMseeage("revoke"))
  } : {}, {
    d: _ctx.message.status === "success"
  }, _ctx.message.status === "success" ? {
    e: common_assets._imports_1$1,
    f: common_vendor.o(($event) => _ctx.handleMseeage("delete"))
  } : {}, {
    g: _ctx.message.flow === "out" && _ctx.message.status === "fail"
  }, _ctx.message.flow === "out" && _ctx.message.status === "fail" ? {
    h: common_assets._imports_2,
    i: common_vendor.o(($event) => _ctx.handleMseeage("resend"))
  } : {});
}
var Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["render", _sfc_render], ["__scopeId", "data-v-119aa53b"], ["__file", "E:/Project/2023/\u95EE\u8BCA\u5E73\u53F0/his_user_miniapp/pages/TUIKit/TUIPages/TUIChat/components/message-elements/message-operate.vue"]]);
wx.createComponent(Component);
