"use strict";
var __defProp = Object.defineProperty;
var __defProps = Object.defineProperties;
var __getOwnPropDescs = Object.getOwnPropertyDescriptors;
var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __spreadValues = (a, b) => {
  for (var prop in b || (b = {}))
    if (__hasOwnProp.call(b, prop))
      __defNormalProp(a, prop, b[prop]);
  if (__getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(b)) {
      if (__propIsEnum.call(b, prop))
        __defNormalProp(a, prop, b[prop]);
    }
  return a;
};
var __spreadProps = (a, b) => __defProps(a, __getOwnPropDescs(b));
var common_vendor = require("../../../../../../common/vendor.js");
var common_assets = require("../../../../../../common/assets.js");
const _sfc_main = common_vendor.defineComponent({
  props: {
    data: {
      type: Object,
      default: () => {
        return {};
      }
    },
    messageData: {
      type: Object,
      default: () => {
        return {};
      }
    }
  },
  setup(props, ctx) {
    const data = common_vendor.reactive({
      video: {},
      message: {},
      show: false,
      videoContext: null
    });
    common_vendor.watchEffect(() => {
      data.video = props.data;
      data.message = props.messageData;
    });
    const toggleShow = () => {
      common_vendor.index.navigateTo({
        url: `./components/message-elements/video-play?videoMessage=${data.video.url}`
      });
    };
    return __spreadProps(__spreadValues({}, common_vendor.toRefs(data)), {
      toggleShow
    });
  }
});
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return {
    a: _ctx.video.snapshotUrl,
    b: common_vendor.n("content-" + _ctx.message.flow),
    c: common_assets._imports_0$4,
    d: common_vendor.n(!_ctx.video.progress && "message-video-cover"),
    e: common_vendor.o((...args) => _ctx.toggleShow && _ctx.toggleShow(...args))
  };
}
var Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["render", _sfc_render], ["__scopeId", "data-v-2a5d9872"], ["__file", "E:/Project/2023/\u95EE\u8BCA\u5E73\u53F0/his_user_miniapp/pages/TUIKit/TUIPages/TUIChat/components/message-elements/message-video.vue"]]);
wx.createComponent(Component);
