"use strict";
var common_vendor = require("../common/vendor.js");
var api_companyUser = require("../api/companyUser.js");
require("../common/request.js");
const _sfc_main = {
  data() {
    return {
      companyId: null,
      companyUserId: null,
      user: null
    };
  },
  onLoad() {
  },
  onShow() {
    this.companyId = common_vendor.index.getStorageSync("companyId");
    this.companyUserId = common_vendor.index.getStorageSync("companyUserId");
    console.log(this.companyUserId);
    this.getUserInfo();
  },
  onShareAppMessage(res) {
    return {
      title: "\u95EE\u8BCA",
      path: "/pages/TUIKit/TUIPages/TUIConversation/index",
      imageUrl: "https://hos-1309931967.cos.ap-chongqing.myqcloud.com/fs/20230106/6b459adfb1004c1a96219bcdf07e337c.png"
    };
  },
  methods: {
    navTo(url) {
      common_vendor.index.navigateTo({
        url
      });
    },
    getUserInfo() {
      var data = {};
      api_companyUser.getUserInfo(data).then((res) => {
        if (res.code == 200) {
          this.user = res.data;
        } else {
          common_vendor.index.setStorageSync("CompanyUserToken", null);
          common_vendor.index.showToast({
            icon: "none",
            title: res.msg
          });
          common_vendor.index.navigateBack({
            delta: -1
          });
        }
      }, (rej) => {
      });
    },
    logout() {
      common_vendor.index.showModal({
        title: "\u63D0\u793A",
        content: "\u786E\u8BA4\u9000\u51FA\u767B\u5F55\u5417?",
        showCancel: true,
        cancelText: "\u53D6\u6D88",
        confirmText: "\u786E\u5B9A",
        success: (res) => {
          if (res.confirm) {
            common_vendor.index.setStorageSync("CompanyUserToken", null);
            common_vendor.index.navigateBack({
              delta: -1
            });
          }
        }
      });
    },
    navgetTo(url) {
      this.$isLogin().then((res) => {
        if (res) {
          common_vendor.index.navigateTo({
            url
          });
        }
      });
    }
  }
};
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return common_vendor.e({
    a: $data.user != null
  }, $data.user != null ? {
    b: common_vendor.t($data.user.nickName)
  } : {}, {
    c: $data.user != null
  }, $data.user != null ? {
    d: common_vendor.t(_ctx.$parsePhone($data.user.phonenumber))
  } : {}, {
    e: $data.user != null
  }, $data.user != null ? {
    f: common_vendor.t($data.user.deptName)
  } : {}, {
    g: common_vendor.o(($event) => $options.navTo("/pages_company/couponList?isShare=1&couponType=5")),
    h: common_vendor.o(($event) => $options.navTo("/pages_company/couponList?isShare=1&couponType=2")),
    i: common_vendor.o(($event) => $options.navTo("/pages_company/packageList")),
    j: common_vendor.o(($event) => $options.navTo("/pages_order/inquirySelectType?companyId=" + $data.companyId + "&companyUserId=" + $data.companyUserId + "&isShare=1")),
    k: common_vendor.o(($event) => $options.navTo("/pages_order/inquirySelect?inquiryType=3&companyId=" + $data.companyId + "&companyUserId=" + $data.companyUserId + "&isShare=1")),
    l: common_vendor.o(($event) => $options.navTo("/pages_company/packageOrderList")),
    m: common_vendor.o(($event) => $options.navTo("/pages_company/inquiryOrderList")),
    n: common_vendor.o(($event) => $options.navTo("/pages_company/storeOrderList")),
    o: common_vendor.o(($event) => $options.navTo("/pages_user/healthRecords/index")),
    p: common_vendor.o((...args) => $options.logout && $options.logout(...args))
  });
}
var MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["render", _sfc_render], ["__file", "E:/Project/2023/\u95EE\u8BCA\u5E73\u53F0/his_user_miniapp/pages_company/index.vue"]]);
_sfc_main.__runtimeHooks = 2;
wx.createPage(MiniProgramPage);
