"use strict";
var __defProp = Object.defineProperty;
var __defProps = Object.defineProperties;
var __getOwnPropDescs = Object.getOwnPropertyDescriptors;
var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __spreadValues = (a, b) => {
  for (var prop in b || (b = {}))
    if (__hasOwnProp.call(b, prop))
      __defNormalProp(a, prop, b[prop]);
  if (__getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(b)) {
      if (__propIsEnum.call(b, prop))
        __defNormalProp(a, prop, b[prop]);
    }
  return a;
};
var __spreadProps = (a, b) => __defProps(a, __getOwnPropDescs(b));
var common_vendor = require("../common/vendor.js");
var api_companyUser = require("../api/companyUser.js");
var api_inquiryOrder = require("../api/inquiryOrder.js");
require("../common/request.js");
const _sfc_main = {
  data() {
    return {
      companyId: null,
      companyUserId: null,
      statusBarHeight: common_vendor.index.getStorageSync("menuInfo").statusBarHeight,
      temps: [],
      usageShow: false,
      usages: [
        {
          name: "\u56FE\u6587\u95EE\u8BCA"
        },
        {
          name: "\u8BED\u97F3\u95EE\u8BCA"
        }
      ],
      isVisits: [
        {
          name: "\u672A\u5C31\u8BCA",
          disabled: false
        },
        {
          name: "\u5C31\u8BCA\u8FC7",
          disabled: false
        }
      ],
      orderKey: null,
      patient: null,
      inquiryType: null,
      inquirySubType: null,
      orderType: null,
      fileList1: [],
      fileList2: [],
      fileList3: [],
      form: {
        title: "",
        isVisit: "\u5C31\u8BCA\u8FC7"
      },
      rules: {
        height: [
          {
            required: true,
            message: "\u8BF7\u8F93\u5165\u8EAB\u9AD8",
            trigger: ["change", "blur"]
          }
        ],
        weight: [
          {
            required: true,
            message: "\u8BF7\u8F93\u5165\u4F53\u91CD",
            trigger: ["change", "blur"]
          }
        ],
        mobile: [
          {
            required: true,
            message: "\u8BF7\u8F93\u5165\u8054\u7CFB\u7535\u8BDD",
            trigger: ["change", "blur"]
          }
        ],
        isVisit: [
          {
            required: true,
            message: "\u8BF7\u9009\u62E9\u662F\u5426\u53BB\u533B\u9662\u5C31\u8BCA\u8FC7",
            trigger: ["change", "blur"]
          }
        ]
      }
    };
  },
  onLoad(options) {
    if (!this.$isEmpty(options.isShare)) {
      this.isShare = options.isShare;
    }
    if (!this.$isEmpty(options.companyId)) {
      this.companyId = options.companyId == "undefined" || options.companyId == "null" ? null : options.companyId;
    }
    if (!this.$isEmpty(options.companyUserId)) {
      this.companyUserId = options.companyUserId == "undefined" || options.companyUserId == "null" ? null : options.companyUserId;
    }
    console.log(this.companyId);
    console.log(this.companyUserId);
    this.inquiryType = options.inquiryType;
    this.inquirySubType = options.inquirySubType;
    this.orderType = options.orderType;
  },
  onReady() {
    this.$refs.uForm.setRules(this.rules);
  },
  onShow() {
    if (this.$isLogin()) {
      if (!this.$isEmpty(this.companyUserId)) {
        let data = { companyUserId: this.companyUserId };
        api_companyUser.bindCompanyUser(data).then((res) => {
          if (res.code == 200)
            ;
        }, (rej) => {
        });
      }
    }
    var that = this;
    common_vendor.index.$on("refreshOrderPatient", (res) => {
      that.patient = res;
    });
    this.confirm();
  },
  onShareAppMessage(res) {
    common_vendor.index.showShareMenu({
      withShareTicket: true
    });
    wx.updateShareMenu({
      isPrivateMessage: true,
      withShareTicket: true,
      success(res2) {
        console.log("updateShareMenu: ", res2);
      },
      fail() {
      }
    });
    return {
      title: "\u5FA1\u541B\u65B9\u4E92\u8054\u7F51\u533B\u9662--\u5065\u5EB7\u4F1A\u8BCA",
      path: "/pages/store/inquiryForm2_1?inquiryType=2&orderType=1&inquirySubType=" + this.inquirySubType + "&companyId=" + this.companyId + "&companyUserId=" + this.companyUserId
    };
  },
  methods: {
    showImg(type) {
      if (type == 1) {
        var imgs = [
          "https://fs-1319721001.cos.ap-chongqing.myqcloud.com/fs/20240229/0640bd4b80ba4491842b9d20d7238616.png"
        ];
        common_vendor.index.previewImage({
          current: 0,
          urls: imgs
        });
      } else if (type == 2) {
        var imgs = [
          "https://fs-1319721001.cos.ap-chongqing.myqcloud.com/fs/20240229/2c9f24e5c3fc458f8bcb30a4fb0619be.png"
        ];
        common_vendor.index.previewImage({
          current: 0,
          urls: imgs
        });
      }
    },
    leftClick() {
      console.log("leftClick");
      common_vendor.index.showModal({
        title: "\u63D0\u793A",
        content: "\u786E\u8BA4\u5173\u95ED\u5417",
        success: function(res) {
          if (res.confirm) {
            common_vendor.index.navigateBack();
          } else if (res.cancel)
            ;
        }
      });
    },
    confirm() {
      let data = {};
      api_inquiryOrder.confirm(data).then((res) => {
        if (res.code == 200) {
          this.orderKey = res.orderKey;
          console.log("this.orderKey==111", this.orderKey);
        }
      }, (rej) => {
      });
    },
    usageSelect(e) {
      this.form.usage = e.name;
      this.$refs.uForm.validateField("usage");
    },
    submitOrder() {
      if (this.patient == null) {
        common_vendor.index.showToast({
          icon: "none",
          title: "\u8BF7\u9009\u62E9\u5C31\u8BCA\u4EBA"
        });
        return;
      }
      console.log(this.form.isVisit);
      if (this.form.isVisit != "\u5C31\u8BCA\u8FC7") {
        common_vendor.index.showToast({
          icon: "none",
          title: "\u4EC5\u652F\u6301\u590D\u8BCA"
        });
        return;
      }
      console.log("this.orderKey==", this.orderKey);
      if (this.orderKey == null) {
        this.confirm();
      }
      var reportImages = [];
      this.fileList3.forEach(function(element) {
        reportImages.push(element.url);
      });
      var tongueImages = [];
      this.fileList1.forEach(function(element) {
        tongueImages.push(element.url);
      });
      var faceImages = [];
      this.fileList2.forEach(function(element) {
        faceImages.push(element.url);
      });
      console.log("2222", this.orderKey);
      var that = this;
      this.$refs.uForm.validate().then((res) => {
        var data = {
          companyId: that.companyId,
          companyUserId: that.companyUserId,
          orderKey: that.orderKey,
          patientId: that.patient.patientId,
          title: that.form.title,
          inquiryType: that.inquiryType,
          inquirySubType: that.inquirySubType,
          orderType: 1,
          doctorId: that.doctorId,
          height: that.form.height,
          weight: that.form.weight,
          mobile: that.form.mobile,
          medication: that.form.medication,
          usage: that.form.usage,
          reportImages: reportImages.toString(),
          tongueImages: tongueImages.toString(),
          faceImages: faceImages.toString(),
          isVisit: that.form.isVisit
        };
        console.log("2222", this.orderKey);
        common_vendor.index.showLoading({
          title: "\u6B63\u5728\u5904\u7406\u4E2D..."
        });
        api_inquiryOrder.create(data).then((res2) => {
          common_vendor.index.hideLoading();
          if (res2.code == 200) {
            setTimeout(function() {
              common_vendor.index.redirectTo({
                url: "./inquiryPay?orderId=" + res2.order.orderId
              });
            }, 200);
            return;
          } else {
            common_vendor.index.showToast({
              icon: "none",
              title: res2.msg
            });
          }
        }, (rej) => {
        });
      }).catch((errors) => {
      });
    },
    addPatient() {
      common_vendor.index.navigateTo({
        url: "/pages_user/patient"
      });
    },
    deletePic(event) {
      this[`fileList${event.name}`].splice(event.index, 1);
    },
    async afterRead(event) {
      let lists = [].concat(event.file);
      let fileListLen = this[`fileList${event.name}`].length;
      lists.map((item) => {
        this[`fileList${event.name}`].push(__spreadProps(__spreadValues({}, item), {
          status: "uploading",
          message: "\u4E0A\u4F20\u4E2D"
        }));
      });
      for (let i = 0; i < lists.length; i++) {
        const result = await this.uploadFilePromise(lists[i].url);
        let item = this[`fileList${event.name}`][fileListLen];
        this[`fileList${event.name}`].splice(fileListLen, 1, Object.assign(item, {
          status: "success",
          message: "",
          url: result
        }));
        fileListLen++;
      }
    },
    uploadFilePromise(url) {
      return new Promise((resolve, reject) => {
        common_vendor.index.uploadFile({
          url: common_vendor.index.getStorageSync("requestPath") + "/app/common/uploadOSS",
          filePath: url,
          name: "file",
          formData: {
            user: "test"
          },
          success: (res) => {
            setTimeout(() => {
              console.log(JSON.parse(res.data).url);
              resolve(JSON.parse(res.data).url);
            }, 1e3);
          }
        });
      });
    }
  }
};
if (!Array) {
  const _easycom_u_navbar2 = common_vendor.resolveComponent("u-navbar");
  const _easycom_u_alert2 = common_vendor.resolveComponent("u-alert");
  const _easycom_u__textarea2 = common_vendor.resolveComponent("u--textarea");
  const _easycom_u_form_item2 = common_vendor.resolveComponent("u-form-item");
  const _easycom_u_radio2 = common_vendor.resolveComponent("u-radio");
  const _easycom_u_radio_group2 = common_vendor.resolveComponent("u-radio-group");
  const _easycom_u_upload2 = common_vendor.resolveComponent("u-upload");
  const _easycom_u_form2 = common_vendor.resolveComponent("u-form");
  (_easycom_u_navbar2 + _easycom_u_alert2 + _easycom_u__textarea2 + _easycom_u_form_item2 + _easycom_u_radio2 + _easycom_u_radio_group2 + _easycom_u_upload2 + _easycom_u_form2)();
}
const _easycom_u_navbar = () => "../uni_modules/uview-plus/components/u-navbar/u-navbar.js";
const _easycom_u_alert = () => "../uni_modules/uview-plus/components/u-alert/u-alert.js";
const _easycom_u__textarea = () => "../uni_modules/uview-plus/components/u--textarea/u--textarea.js";
const _easycom_u_form_item = () => "../uni_modules/uview-plus/components/u-form-item/u-form-item.js";
const _easycom_u_radio = () => "../uni_modules/uview-plus/components/u-radio/u-radio.js";
const _easycom_u_radio_group = () => "../uni_modules/uview-plus/components/u-radio-group/u-radio-group.js";
const _easycom_u_upload = () => "../uni_modules/uview-plus/components/u-upload/u-upload.js";
const _easycom_u_form = () => "../uni_modules/uview-plus/components/u-form/u-form.js";
if (!Math) {
  (_easycom_u_navbar + _easycom_u_alert + _easycom_u__textarea + _easycom_u_form_item + _easycom_u_radio + _easycom_u_radio_group + _easycom_u_upload + _easycom_u_form)();
}
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return common_vendor.e({
    a: common_vendor.o($options.leftClick),
    b: common_vendor.p({
      title: "\u75C7\u72B6\u63CF\u8FF0"
    }),
    c: $data.statusBarHeight,
    d: common_vendor.p({
      fontSize: "16",
      description: "\u5C0A\u656C\u7684\u7528\u6237\uFF0C\u60A8\u597D!\r\n						\u4E3A\u4E86\u60A8\u7684\u5065\u5EB7\uFF0C\u8BF7\u8BA4\u771F\u586B\u5199\u4EE5\u4E0B\u5185\u5BB9\uFF0C\u4EE5\u4FBF\u836F\u5E08\u4E3A\u60A8\u66F4\u597D\u7684\u5206\u6790\uFF0C\u63D0\u4F9B\u66F4\u6709\u9488\u5BF9\u6027\u7684\u89E3\u51B3\u65B9\u6848!"
    }),
    e: $data.patient == null
  }, $data.patient == null ? {
    f: common_vendor.o(($event) => $options.addPatient())
  } : {}, {
    g: $data.patient != null
  }, $data.patient != null ? common_vendor.e({
    h: common_vendor.t($data.patient.patientName),
    i: $data.patient.sex == 1
  }, $data.patient.sex == 1 ? {} : {}, {
    j: $data.patient.sex == 2
  }, $data.patient.sex == 2 ? {} : {}, {
    k: common_vendor.t(_ctx.$getAge($data.patient.birthday)),
    l: common_vendor.t(_ctx.$parseIdCard($data.patient.idCard)),
    m: common_vendor.o(($event) => $options.addPatient())
  }) : {}, {
    n: common_vendor.o(($event) => $data.form.title = $event),
    o: common_vendor.p({
      placeholder: "\u8BF7\u8F93\u5165\u5185\u5BB9",
      count: true,
      modelValue: $data.form.title
    }),
    p: common_vendor.p({
      required: true,
      labelWidth: "200rpx",
      label: "\u60A8\u6700\u60F3\u54A8\u8BE2\u533B\u751F\u7684\u95EE\u9898\u662F\u4EC0\u4E48?",
      prop: "title"
    }),
    q: common_vendor.f($data.isVisits, (item, index, i0) => {
      return {
        a: index,
        b: "2a144063-7-" + i0 + ",2a144063-6",
        c: common_vendor.p({
          customStyle: {
            marginRight: "5px"
          },
          label: item.name,
          name: item.name,
          activeColor: "#FF5C03"
        })
      };
    }),
    r: common_vendor.o(($event) => $data.form.isVisit = $event),
    s: common_vendor.p({
      iconPlacement: "left",
      modelValue: $data.form.isVisit
    }),
    t: common_vendor.p({
      required: true,
      labelWidth: "200rpx",
      borderBottom: true,
      label: "\u6B64\u6B21\u75C5\u60C5\u662F\u5426\u53BB\u533B\u9662\u5C31\u8BCA\u8FC7",
      prop: "isVisit"
    }),
    v: common_vendor.o($options.afterRead),
    w: common_vendor.o($options.deletePic),
    x: common_vendor.p({
      fileList: $data.fileList3,
      name: "3",
      multiple: true,
      maxCount: 4
    }),
    y: common_vendor.p({
      labelWidth: "200rpx",
      borderBottom: true,
      label: "\u4E0A\u4F20\u68C0\u6D4B\u62A5\u544A\u6216\u60A3\u5904\u7167\u7247"
    }),
    z: common_vendor.sr("uForm", "2a144063-2"),
    A: common_vendor.p({
      rules: $data.rules,
      model: $data.form,
      labelPosition: "left"
    }),
    B: common_vendor.o(($event) => $options.submitOrder())
  });
}
var MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["render", _sfc_render], ["__scopeId", "data-v-2a144063"], ["__file", "E:/Project/2023/\u95EE\u8BCA\u5E73\u53F0/his_user_miniapp/pages_order/inquiryForm2_1.vue"]]);
_sfc_main.__runtimeHooks = 2;
wx.createPage(MiniProgramPage);
