"use strict";
var common_vendor = require("../common/vendor.js");
var api_prescribe = require("../api/prescribe.js");
var uni_modules_mescrollUni_components_mescrollUni_mescrollMixins = require("../uni_modules/mescroll-uni/components/mescroll-uni/mescroll-mixins.js");
require("../common/request.js");
const _sfc_main = {
  mixins: [uni_modules_mescrollUni_components_mescrollUni_mescrollMixins.MescrollMixin],
  data() {
    return {
      status: 0,
      tabs: [
        {
          id: 0,
          name: "\u5F85\u5F00\u65B9"
        },
        {
          id: 1,
          name: "\u5DF2\u5F00\u65B9"
        },
        {
          id: 2,
          name: "\u5DF2\u62D2\u7EDD"
        }
      ],
      mescroll: null,
      upOption: {
        onScroll: false,
        use: true,
        page: {
          pae: 0,
          size: 10
        },
        noMoreSize: 10,
        textNoMore: "\u5DF2\u7ECF\u5230\u5E95\u4E86",
        empty: {
          icon: "https://cos.his.cdwjyyh.com/fs/20240423/cf4a86b913a04341bb44e34bb4d37aa2.png",
          tip: "\u6682\u65E0\u6570\u636E"
        }
      },
      dataList: []
    };
  },
  onLoad() {
  },
  methods: {
    tabChange(item) {
      this.status = item.id;
      console.log(item);
      this.mescroll.resetUpScroll();
    },
    navTo(url) {
      common_vendor.index.navigateTo({
        url
      });
    },
    mescrollInit(mescroll) {
      this.mescroll = mescroll;
    },
    downCallback(mescroll) {
      mescroll.resetUpScroll();
    },
    upCallback(page) {
      var that = this;
      var data = {
        status: this.status,
        pageNum: page.num,
        pageSize: page.size
      };
      api_prescribe.getPrescribeList(data).then((res) => {
        if (res.code == 200) {
          if (page.num == 1) {
            that.dataList = res.data.list;
          } else {
            that.dataList = that.dataList.concat(res.data.list);
          }
          that.mescroll.endBySize(res.data.list.length, res.data.total);
        } else {
          common_vendor.index.showToast({
            icon: "none",
            title: "\u8BF7\u6C42\u5931\u8D25"
          });
          that.dataList = null;
          that.mescroll.endErr();
        }
      });
    },
    showImg(item) {
      var imgArr = [];
      imgArr.push(item.rpUrl);
      common_vendor.index.previewImage({
        urls: imgArr,
        current: imgArr[0]
      });
    }
  }
};
if (!Array) {
  const _easycom_u_tabs2 = common_vendor.resolveComponent("u-tabs");
  const _easycom_mescroll_body2 = common_vendor.resolveComponent("mescroll-body");
  (_easycom_u_tabs2 + _easycom_mescroll_body2)();
}
const _easycom_u_tabs = () => "../uni_modules/uview-plus/components/u-tabs/u-tabs.js";
const _easycom_mescroll_body = () => "../uni_modules/mescroll-uni/components/mescroll-body/mescroll-body.js";
if (!Math) {
  (_easycom_u_tabs + _easycom_mescroll_body)();
}
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return {
    a: common_vendor.o($options.tabChange),
    b: common_vendor.p({
      scrollable: false,
      list: $data.tabs,
      lineColor: "#C39A58"
    }),
    c: common_vendor.f($data.dataList, (item, index, i0) => {
      return common_vendor.e({
        a: common_vendor.t(item.prescribeCode),
        b: item.status == 0
      }, item.status == 0 ? {} : {}, {
        c: item.status == 1
      }, item.status == 1 ? {} : {}, {
        d: item.status == 2
      }, item.status == 2 ? {} : {}, {
        e: common_vendor.t(item.diagnose),
        f: common_vendor.f(item.drugs, (subItme, index2, i1) => {
          return {
            a: common_vendor.t(index2 + 1),
            b: common_vendor.t(subItme.drugName)
          };
        }),
        g: common_vendor.t(item.auditReason),
        h: common_vendor.t(item.patientName),
        i: common_vendor.t(item.patientAge),
        j: common_vendor.t(item.patientGender == 1 ? "\u7537" : "\u5973"),
        k: item.createTime != null
      }, item.createTime != null ? {
        l: common_vendor.t(item.createTime)
      } : {}, {
        m: item.auditTime != null
      }, item.auditTime != null ? {
        n: common_vendor.t(item.auditTime)
      } : {}, {
        o: index,
        p: common_vendor.o(($event) => $options.navTo("/pages_order/prescribeDetails?prescribeId=" + item.prescribeId), index)
      });
    }),
    d: common_vendor.sr("mescrollRef", "3b4f235b-1"),
    e: common_vendor.o($options.mescrollInit),
    f: common_vendor.o($options.downCallback),
    g: common_vendor.o($options.upCallback),
    h: common_vendor.p({
      top: "88rpx",
      bottom: "0",
      down: _ctx.downOption,
      up: $data.upOption
    })
  };
}
var MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["render", _sfc_render], ["__file", "E:/Project/2023/\u95EE\u8BCA\u5E73\u53F0/his_user_miniapp/pages_order/prescribeList.vue"]]);
wx.createPage(MiniProgramPage);
