"use strict";
var common_vendor = require("../common/vendor.js");
var api_storeAfterSales = require("../api/storeAfterSales.js");
require("../common/request.js");
const _sfc_main = {
  data() {
    return {
      order: null,
      items: []
    };
  },
  onLoad(option) {
    this.orderId = option.orderId;
    this.getStoreOrderItems();
  },
  methods: {
    checkChange(item) {
      item.checked = !item.checked;
    },
    submit(type) {
      common_vendor.index.redirectTo({
        url: "./storeOrderRefundSubmit?orderId=" + this.orderId + "&type=" + type
      });
    },
    getStoreOrderItems() {
      var data = { orderId: this.orderId };
      api_storeAfterSales.getStoreOrderItems(data).then((res) => {
        if (res.code == 200) {
          this.order = res.order;
          this.items = res.items;
        } else {
          common_vendor.index.showToast({
            icon: "none",
            title: "\u8BF7\u6C42\u5931\u8D25"
          });
        }
      });
    }
  }
};
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return common_vendor.e({
    a: $data.order != null
  }, $data.order != null ? common_vendor.e({
    b: $data.order != null
  }, $data.order != null ? {
    c: common_vendor.f($data.items, (item, index, i0) => {
      return {
        a: JSON.parse(item.jsonInfo).image == "" ? "/static/images/drug.svg" : JSON.parse(item.jsonInfo).image,
        b: common_vendor.t(JSON.parse(item.jsonInfo).productName),
        c: common_vendor.t(JSON.parse(item.jsonInfo).sku),
        d: common_vendor.t(JSON.parse(item.jsonInfo).price.toFixed(2)),
        e: common_vendor.t(JSON.parse(item.jsonInfo).num),
        f: index
      };
    })
  } : {}, {
    d: $data.order.status == 2 || $data.order.status == 3
  }, $data.order.status == 2 || $data.order.status == 3 ? {
    e: common_vendor.o(($event) => $options.submit(0))
  } : {}, {
    f: $data.order.status == 3 || $data.order.status == 4
  }, $data.order.status == 3 || $data.order.status == 4 ? {
    g: common_vendor.o(($event) => $options.submit(1))
  } : {}) : {});
}
var MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["render", _sfc_render], ["__file", "E:/Project/2023/\u95EE\u8BCA\u5E73\u53F0/his_user_miniapp/pages_order/storeOrderRefundApply.vue"]]);
wx.createPage(MiniProgramPage);
