"use strict";
var common_vendor = require("../common/vendor.js");
var api_common = require("../api/common.js");
require("../common/request.js");
const _sfc_main = {
  data() {
    return {
      certs: []
    };
  },
  onLoad(val) {
    this.getConfigByKey();
  },
  methods: {
    getConfigByKey() {
      var data = { key: "his.certs" };
      api_common.getConfigByKey(data).then((res) => {
        if (res.code == 200) {
          this.certs = JSON.parse(res.data).certs.split(",");
        }
      }, (rej) => {
      });
    },
    showImg(item) {
      var urls = [];
      urls.push(item);
      common_vendor.index.previewImage({
        urls,
        current: 0
      });
    }
  }
};
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return {
    a: common_vendor.f($data.certs, (item, k0, i0) => {
      return {
        a: common_vendor.o(($event) => $options.showImg(item)),
        b: item
      };
    })
  };
}
var MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["render", _sfc_render], ["__scopeId", "data-v-059af8e2"], ["__file", "E:/Project/2023/\u95EE\u8BCA\u5E73\u53F0/his_user_miniapp/pages_user/cert.vue"]]);
wx.createPage(MiniProgramPage);
