"use strict";
var common_vendor = require("../common/vendor.js");
var api_user = require("../api/user.js");
var uni_modules_mescrollUni_components_mescrollUni_mescrollMixins = require("../uni_modules/mescroll-uni/components/mescroll-uni/mescroll-mixins.js");
require("../common/request.js");
const _sfc_main = {
  name: "UserCoupon",
  props: {},
  mixins: [uni_modules_mescrollUni_components_mescrollUni_mescrollMixins.MescrollMixin],
  data: function() {
    return {
      tabs: [
        {
          id: 0,
          name: "\u5F85\u4F7F\u7528"
        },
        {
          id: 1,
          name: "\u5DF2\u4F7F\u7528"
        },
        {
          id: 2,
          name: "\u5DF2\u8FC7\u671F"
        }
      ],
      status: 0,
      mescroll: null,
      downOption: {
        use: true,
        auto: false
      },
      upOption: {
        onScroll: false,
        use: true,
        page: {
          pae: 0,
          size: 10
        },
        noMoreSize: 10,
        textNoMore: "\u5DF2\u7ECF\u5230\u5E95\u4E86",
        empty: {
          icon: "https://cos.his.cdwjyyh.com/fs/20240423/cf4a86b913a04341bb44e34bb4d37aa2.png",
          tip: "\u6682\u65E0\u6570\u636E"
        }
      },
      dataList: []
    };
  },
  watch: {},
  onShow() {
  },
  methods: {
    statusChange(item) {
      console.log(item);
      this.status = item.id;
      this.mescroll.resetUpScroll();
    },
    navTo(url) {
      common_vendor.index.navigateTo({
        url
      });
    },
    mescrollInit(mescroll) {
      this.mescroll = mescroll;
    },
    downCallback() {
      this.mescroll.resetUpScroll();
    },
    upCallback(page) {
      var that = this;
      var data = {
        status: this.status,
        pageNum: page.num,
        pageSize: page.size
      };
      api_user.getMyCouponList(data).then((res) => {
        if (res.code == 200) {
          if (page.num == 1) {
            that.dataList = res.data.list;
          } else {
            that.dataList = that.dataList.concat(res.data.list);
          }
          that.mescroll.endBySize(res.data.list.length, res.data.total);
        } else {
          common_vendor.index.showToast({
            icon: "none",
            title: "\u8BF7\u6C42\u5931\u8D25"
          });
          that.dataList = null;
          that.mescroll.endErr();
        }
      });
    }
  }
};
if (!Array) {
  const _easycom_u_tabs2 = common_vendor.resolveComponent("u-tabs");
  const _easycom_mescroll_body2 = common_vendor.resolveComponent("mescroll-body");
  (_easycom_u_tabs2 + _easycom_mescroll_body2)();
}
const _easycom_u_tabs = () => "../uni_modules/uview-plus/components/u-tabs/u-tabs.js";
const _easycom_mescroll_body = () => "../uni_modules/mescroll-uni/components/mescroll-body/mescroll-body.js";
if (!Math) {
  (_easycom_u_tabs + _easycom_mescroll_body)();
}
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return {
    a: common_vendor.o($options.statusChange),
    b: common_vendor.p({
      current: _ctx.status,
      scrollable: false,
      list: _ctx.tabs,
      lineColor: "#C39A58"
    }),
    c: common_vendor.f(_ctx.dataList, (item, k0, i0) => {
      return common_vendor.e({
        a: item.status == 0
      }, item.status == 0 ? {} : {}, {
        b: item.status != 0
      }, item.status != 0 ? {} : {}, {
        c: item.price != null
      }, item.price != null ? {
        d: common_vendor.t(item.price.toFixed(2))
      } : {}, {
        e: item.minPrice != null
      }, item.minPrice != null ? {
        f: common_vendor.t(item.minPrice.toFixed(2))
      } : {}, {
        g: common_vendor.t(item.title),
        h: item.status == 0 || item.status == 2
      }, item.status == 0 || item.status == 2 ? {
        i: common_vendor.t(item.limitTime)
      } : {}, {
        j: item.status == 1
      }, item.status == 1 ? {
        k: common_vendor.t(item.useTime)
      } : {}, {
        l: item.status == 1
      }, item.status == 1 ? {} : {}, {
        m: item.status == 2
      }, item.status == 2 ? {} : {}, {
        n: item.status == 0
      }, item.status == 0 ? {} : {});
    }),
    d: common_vendor.sr("mescrollRef", "a740e5ca-1"),
    e: common_vendor.o($options.mescrollInit),
    f: common_vendor.o($options.downCallback),
    g: common_vendor.o($options.upCallback),
    h: common_vendor.p({
      top: "88rpx",
      bottom: "0",
      down: _ctx.downOption,
      up: _ctx.upOption
    })
  };
}
var MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["render", _sfc_render], ["__scopeId", "data-v-a740e5ca"], ["__file", "E:/Project/2023/\u95EE\u8BCA\u5E73\u53F0/his_user_miniapp/pages_user/myCouponList.vue"]]);
wx.createPage(MiniProgramPage);
