"use strict";
const state = {
  isLogin: false,
  conversationList: [],
  messageList: [],
  conversation: {},
  conversationID: "",
  scrollTop: 0
};
var timStore = {
  namespaced: true,
  state,
  getters: {
    userInfo: (state2) => {
      return state2.userInfo;
    }
  },
  mutations: {
    setscrollTop(state2, payload) {
      state2.scrollTop = payload;
    },
    setImType(state2, payload) {
      state2.imType = payload;
    },
    setType(state2, payload) {
      state2.type = payload;
    },
    setOrderId(state2, payload) {
      state2.orderId = payload;
    },
    setFollowId(state2, payload) {
      state2.followId = payload;
    },
    setOrderType(state2, payload) {
      state2.orderType = payload;
    },
    setConversationList(state2, payload) {
      state2.conversationList = payload;
    },
    setConversation(state2, payload) {
      state2.conversation = payload;
    },
    setConversationID(state2, payload) {
      state2.conversationID = payload;
    },
    resetConversationID(state2) {
      state2.conversationID = "";
    },
    setMessageList(state2, payload) {
      state2.messageList = payload;
    },
    resetChat(state2) {
      state2.messageList = [];
    }
  },
  actions: {}
};
exports.timStore = timStore;
