"use strict";
var common_request = require("../common/request.js");
let request = new common_request.Request().http;
function getCouponList(data) {
  return request("/app/coupon/getCouponList", data, "GET");
}
function getCouponById(data) {
  return request("/app/coupon/getCouponById", data, "GET");
}
function genCode(data) {
  return request("/app/coupon/genCode", data, "GET");
}
function receive(data) {
  return request("/app/coupon/receive", data, "POST", "application/json;charset=UTF-8");
}
exports.genCode = genCode;
exports.getCouponById = getCouponById;
exports.getCouponList = getCouponList;
exports.receive = receive;
