"use strict";
var common_request = require("../common/request.js");
let request = new common_request.Request().http;
function getUserFollowDoctor() {
  return request("/app/drugReport/getUserFollowDoctor", null, "GET");
}
function getDrugReportList(data) {
  return request("/app/drugReport/getDrugReportList", data, "GET");
}
function getDrugReportById(data) {
  return request("/app/drugReport/getDrugReportById", data, "GET");
}
function pingReport(data) {
  return request("/app/drugReport/pingReport", data, "POST", "application/json;charset=UTF-8");
}
function startDrugReport(data) {
  return request("/app/drugReport/startDrugReport", data, "POST", "application/json;charset=UTF-8");
}
exports.getDrugReportById = getDrugReportById;
exports.getDrugReportList = getDrugReportList;
exports.getUserFollowDoctor = getUserFollowDoctor;
exports.pingReport = pingReport;
exports.startDrugReport = startDrugReport;
