"use strict";
var common_request = require("../common/request.js");
let request = new common_request.Request().http;
function create(data) {
  return request("/app/packageOrder/create", data, "POST", "application/json;charset=UTF-8");
}
function compute(data) {
  return request("/app/packageOrder/compute", data, "POST", "application/json;charset=UTF-8");
}
function pay(data) {
  return request("/app/packageOrder/pay", data, "POST", "application/json;charset=UTF-8");
}
function payment(data) {
  return request("/app/packageOrder/payment", data, "POST", "application/json;charset=UTF-8");
}
function getPackageOrderById(data) {
  return request("/app/packageOrder/getPackageOrderById", data, "GET");
}
function getMyPackageOrderList(data) {
  return request("/app/packageOrder/getMyPackageOrderList", data, "GET");
}
function getCompanyUserPackageOrderList(data) {
  return request("/app/packageOrder/getCompanyUserPackageOrderList", data, "GET");
}
function getSharePackageOrderById(data) {
  return request("/app/packageOrder/getSharePackageOrderById", data, "GET");
}
function getCompanyUserPackageOrderById(data) {
  return request("/app/packageOrder/getCompanyUserPackageOrderById", data, "GET");
}
function cancelOrder(data) {
  return request("/app/packageOrder/cancel", data, "POST", "application/json;charset=UTF-8");
}
function getOrderCount(data) {
  return request("/app/packageOrder/getOrderCount", data, "GET");
}
exports.cancelOrder = cancelOrder;
exports.compute = compute;
exports.create = create;
exports.getCompanyUserPackageOrderById = getCompanyUserPackageOrderById;
exports.getCompanyUserPackageOrderList = getCompanyUserPackageOrderList;
exports.getMyPackageOrderList = getMyPackageOrderList;
exports.getOrderCount = getOrderCount;
exports.getPackageOrderById = getPackageOrderById;
exports.getSharePackageOrderById = getSharePackageOrderById;
exports.pay = pay;
exports.payment = payment;
