"use strict";
var common_request = require("../common/request.js");
let request = new common_request.Request().http;
function getPatientList() {
  return request("/app/patient/getPatientList", null, "GET");
}
function getPatientById(data) {
  return request("/app/patient/getPatientById", data, "GET");
}
function delPatient(data) {
  return request("/app/patient/delPatient", data, "POST", "application/json;charset=UTF-8");
}
function addPatient(data) {
  return request("/app/patient/addPatient", data, "POST", "application/json;charset=UTF-8");
}
function editPatient(data) {
  return request("/app/patient/editPatient", data, "POST", "application/json;charset=UTF-8");
}
exports.addPatient = addPatient;
exports.delPatient = delPatient;
exports.editPatient = editPatient;
exports.getPatientById = getPatientById;
exports.getPatientList = getPatientList;
