"use strict";
var common_request = require("../common/request.js");
let request = new common_request.Request().http;
function getStoreOrderItems(data) {
  return request("/app/storeAfterSales/getStoreOrderItems", data, "GET");
}
function applyAfterSales(data) {
  return request("/app/storeAfterSales/applyAfterSales", data, "POST", "application/json;charset=UTF-8");
}
function getStoreAfterSalesList(data) {
  return request("/app/storeAfterSales/getStoreAfterSalesList", data, "GET");
}
function getStoreAfterSalesById(data) {
  return request("/app/storeAfterSales/getStoreAfterSalesById", data, "GET");
}
function revoke(data) {
  return request("/app/storeAfterSales/revoke", data, "POST", "application/json;charset=UTF-8");
}
function addDelivery(data) {
  return request("/app/storeAfterSales/addDelivery", data, "POST", "application/json;charset=UTF-8");
}
exports.addDelivery = addDelivery;
exports.applyAfterSales = applyAfterSales;
exports.getStoreAfterSalesById = getStoreAfterSalesById;
exports.getStoreAfterSalesList = getStoreAfterSalesList;
exports.getStoreOrderItems = getStoreOrderItems;
exports.revoke = revoke;
