"use strict";
var common_request = require("../common/request.js");
let request = new common_request.Request().http;
function getTestList(data) {
  return request("/app/test/getTestList", data, "GET");
}
function getTestDetails(data) {
  return request("/app/test/getTestDetails", data, "GET");
}
function getTestTempDetails(data) {
  return request("/app/test/getTestTempDetails", data, "GET");
}
function getTestReport(data) {
  return request("/app/test/getTestReport", data, "GET");
}
function getTestReportImg(data) {
  return request("/app/test/getTestReportImg", data, "GET");
}
function doReport(data) {
  return request("/app/test/doReport", data, "POST", "application/json;charset=UTF-8");
}
exports.doReport = doReport;
exports.getTestDetails = getTestDetails;
exports.getTestList = getTestList;
exports.getTestReport = getTestReport;
exports.getTestReportImg = getTestReportImg;
exports.getTestTempDetails = getTestTempDetails;
