"use strict";
var common_request = require("../common/request.js");
let request = new common_request.Request().http;
function getAddressByDefault() {
  return request("/app/userAddress/getAddressByDefault", null, "GET");
}
function getAddressList() {
  return request("/app/userAddress/getAddressList", null, "GET");
}
function getAddressById(data) {
  return request("/app/userAddress/getAddressById", data, "GET");
}
function delAddress(data) {
  return request("/app/userAddress/delAddress", data, "POST", "application/json;charset=UTF-8");
}
function addAddress(data) {
  return request("/app/userAddress/addAddress", data, "POST", "application/json;charset=UTF-8");
}
function editAddress(data) {
  return request("/app/userAddress/editAddress", data, "POST", "application/json;charset=UTF-8");
}
function parseAddress(data) {
  return request("/app/userAddress/parseAddress", data, "POST", "application/json;charset=UTF-8");
}
exports.addAddress = addAddress;
exports.delAddress = delAddress;
exports.editAddress = editAddress;
exports.getAddressByDefault = getAddressByDefault;
exports.getAddressById = getAddressById;
exports.getAddressList = getAddressList;
exports.parseAddress = parseAddress;
