"use strict";
var __defProp = Object.defineProperty;
var __defProps = Object.defineProperties;
var __getOwnPropDescs = Object.getOwnPropertyDescriptors;
var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __spreadValues = (a, b) => {
  for (var prop in b || (b = {}))
    if (__hasOwnProp.call(b, prop))
      __defNormalProp(a, prop, b[prop]);
  if (__getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(b)) {
      if (__propIsEnum.call(b, prop))
        __defNormalProp(a, prop, b[prop]);
    }
  return a;
};
var __spreadProps = (a, b) => __defProps(a, __getOwnPropDescs(b));
var common_vendor = require("../../../../../../common/vendor.js");
var common_assets = require("../../../../../../common/assets.js");
const audio = common_vendor.index.createInnerAudioContext();
const MessageAudio = common_vendor.defineComponent({
  props: {
    data: {
      type: Object,
      default: () => {
        return {};
      }
    },
    messageData: {
      type: Object,
      default: () => {
        return {};
      }
    }
  },
  setup(props, ctx) {
    const data = common_vendor.reactive({
      data: {},
      message: {},
      isPlay: false
    });
    common_vendor.watchEffect(() => {
      data.data = props.data;
      data.message = props.messageData;
    });
    common_vendor.onMounted(() => {
      audio.onPlay(() => {
        console.log("\u5F00\u59CB\u64AD\u653E");
      });
      audio.onEnded(() => {
        console.log("\u505C\u6B62\u64AD\u653E");
      });
      audio.onError((e) => {
        console.error(e, "onError");
      });
    });
    const handlePlay = () => {
      if (data.data.url) {
        audio.src = data.data.url;
        audio.play();
      }
      data.isPlay = true;
    };
    return __spreadProps(__spreadValues({}, common_vendor.toRefs(data)), {
      audio,
      handlePlay
    });
  }
});
const _sfc_main = MessageAudio;
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return common_vendor.e({
    a: _ctx.message.flow === "in"
  }, _ctx.message.flow === "in" ? {
    b: common_assets._imports_0$5
  } : {}, {
    c: common_vendor.t(_ctx.data.second),
    d: _ctx.message.flow === "out"
  }, _ctx.message.flow === "out" ? {
    e: common_assets._imports_0$5
  } : {}, {
    f: common_vendor.n("content content-" + _ctx.message.flow),
    g: common_vendor.o((...args) => _ctx.handlePlay && _ctx.handlePlay(...args))
  });
}
var Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["render", _sfc_render], ["__scopeId", "data-v-33bc0b66"], ["__file", "E:/Project/2023/\u95EE\u8BCA\u5E73\u53F0/his_user_miniapp/pages/TUIKit/TUIPages/TUIChat/components/message-elements/message-audio.vue"]]);
wx.createComponent(Component);
