"use strict";
var common_vendor = require("../common/vendor.js");
var api_package = require("../api/package.js");
var uni_modules_mescrollUni_components_mescrollUni_mescrollMixins = require("../uni_modules/mescroll-uni/components/mescroll-uni/mescroll-mixins.js");
require("../common/request.js");
const _sfc_main = {
  mixins: [uni_modules_mescrollUni_components_mescrollUni_mescrollMixins.MescrollMixin],
  data() {
    return {
      cates: [],
      privateType: 0,
      keyword: "",
      mescroll: null,
      downOption: {
        use: true,
        auto: false
      },
      upOption: {
        onScroll: false,
        use: true,
        page: {
          pae: 0,
          size: 10
        },
        noMoreSize: 10,
        textNoMore: "\u5DF2\u7ECF\u5230\u5E95\u4E86",
        empty: {
          icon: "https://cos.his.cdwjyyh.com/fs/20240423/cf4a86b913a04341bb44e34bb4d37aa2.png",
          tip: "\u6682\u65E0\u6570\u636E"
        }
      },
      dataList: []
    };
  },
  onShow() {
    this.getPackagCateList(2);
  },
  methods: {
    getPackagCateList(type) {
      var data = { type };
      api_package.getPackagCateList(data).then((res) => {
        if (res.code == 200) {
          this.cates = res.data;
        }
      }, (err) => {
      });
    },
    showMore(item) {
      item.displayMore = item.displayMore == 1 ? 0 : 1;
      item.displayText = item.displayMore == 1 ? "\u6536\u8D77" : "\u70B9\u51FB\u67E5\u770B\u65B9\u6848\u660E\u7EC6";
    },
    navTo(url) {
      common_vendor.index.navigateTo({
        url
      });
    },
    doSearch() {
      this.mescroll.resetUpScroll();
    },
    mescrollInit(mescroll) {
      this.mescroll = mescroll;
    },
    downCallback(mescroll) {
      mescroll.resetUpScroll();
    },
    upCallback(page) {
      var that = this;
      var data = {
        isShow: 0,
        keyword: this.keyword,
        privateType: this.privateType,
        pageNum: page.num,
        pageSize: page.size
      };
      api_package.getPackageList(data).then((res) => {
        if (res.code == 200) {
          res.data.list.forEach(function(element) {
            element.displayMore = 0;
            element.displayText = "\u70B9\u51FB\u67E5\u770B\u65B9\u6848\u660E\u7EC6";
            if (element.productJson != null) {
              element.products = JSON.parse(element.productJson);
            } else {
              element.products = [];
            }
          });
          if (page.num == 1) {
            that.dataList = res.data.list;
          } else {
            that.dataList = that.dataList.concat(res.data.list);
          }
          that.mescroll.endBySize(res.data.list.length, res.data.total);
        } else {
          common_vendor.index.showToast({
            icon: "none",
            title: "\u8BF7\u6C42\u5931\u8D25"
          });
          that.dataList = null;
          that.mescroll.endErr();
        }
      });
    },
    choseType(item) {
      this.privateType = item.cateCode;
      this.mescroll.resetUpScroll();
    }
  }
};
if (!Array) {
  const _easycom_mescroll_body2 = common_vendor.resolveComponent("mescroll-body");
  _easycom_mescroll_body2();
}
const _easycom_mescroll_body = () => "../uni_modules/mescroll-uni/components/mescroll-body/mescroll-body.js";
if (!Math) {
  _easycom_mescroll_body();
}
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return {
    a: common_vendor.o((...args) => $options.doSearch && $options.doSearch(...args)),
    b: $data.keyword,
    c: common_vendor.o(($event) => $data.keyword = $event.detail.value),
    d: common_vendor.f($data.cates, (item, index, i0) => {
      return {
        a: common_vendor.t(item.cateName),
        b: index,
        c: common_vendor.n($data.privateType == item.cateCode ? "item active" : "item"),
        d: common_vendor.o(($event) => $options.choseType(item), index)
      };
    }),
    e: common_vendor.f($data.dataList, (item, index, i0) => {
      return common_vendor.e({
        a: common_vendor.t(item.packageName),
        b: common_vendor.t(item.secondName),
        c: common_vendor.f(item.products, (subItem, subIndex, i1) => {
          return common_vendor.e({
            a: subItem.image,
            b: common_vendor.t(subItem.productName),
            c: common_vendor.t(subItem.sku),
            d: subItem.price != null
          }, subItem.price != null ? {
            e: common_vendor.t(subItem.price.toFixed(2))
          } : {}, {
            f: common_vendor.t(subItem.count),
            g: subIndex
          });
        }),
        d: common_vendor.n(item.displayMore == 0 ? "hide" : "show"),
        e: common_vendor.t(item.displayText),
        f: common_vendor.o(($event) => $options.showMore(item)),
        g: item.totalPrice != null
      }, item.totalPrice != null ? {
        h: common_vendor.t(item.totalPrice.toFixed(2))
      } : {}, {
        i: common_vendor.o(($event) => $options.navTo("/pages_company/packageDetails?packageId=" + item.packageId)),
        j: index
      });
    }),
    f: common_vendor.sr("mescrollRef", "0b3603ba-0"),
    g: common_vendor.o($options.mescrollInit),
    h: common_vendor.o($options.downCallback),
    i: common_vendor.o($options.upCallback),
    j: common_vendor.p({
      top: "192rpx",
      down: $data.downOption,
      up: $data.upOption
    })
  };
}
var MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["render", _sfc_render], ["__file", "E:/Project/2023/\u95EE\u8BCA\u5E73\u53F0/his_user_miniapp/pages_company/packageList.vue"]]);
wx.createPage(MiniProgramPage);
