"use strict";
var common_vendor = require("../common/vendor.js");
var api_article = require("../api/article.js");
require("../common/request.js");
const _sfc_main = {
  data() {
    return {
      articleId: null,
      item: {}
    };
  },
  onLoad(option) {
    this.articleId = option.articleId;
  },
  onShow() {
    this.getArticleById();
  },
  onShareAppMessage(res) {
    return {
      title: this.item.title,
      path: "/pages_index/articleDetails?articleId=" + this.articleId
    };
  },
  onShareTimeline(res) {
    return {
      title: this.item.title,
      query: "articleId=" + this.articleId
    };
  },
  methods: {
    getArticleById() {
      let data = { articleId: this.articleId };
      api_article.getArticleById(data).then((res) => {
        if (res.code == 200) {
          this.item = res.data;
        } else {
          common_vendor.index.showToast({
            icon: "none",
            title: "\u8BF7\u6C42\u5931\u8D25"
          });
        }
      }, (rej) => {
      });
    }
  }
};
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return {
    a: common_vendor.t($data.item.title),
    b: common_vendor.t($data.item.views),
    c: common_vendor.t($data.item.publishTime),
    d: $data.item.contents
  };
}
var MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["render", _sfc_render], ["__file", "E:/Project/2023/\u95EE\u8BCA\u5E73\u53F0/his_user_miniapp/pages_index/articleDetails.vue"]]);
_sfc_main.__runtimeHooks = 6;
wx.createPage(MiniProgramPage);
