"use strict";
var common_vendor = require("../common/vendor.js");
var api_storeAfterSales = require("../api/storeAfterSales.js");
require("../common/request.js");
const _sfc_main = {
  data() {
    return {
      form: {
        salesId: null,
        deliverySn: null,
        deliveryName: null
      }
    };
  },
  onLoad(option) {
    this.form.id = option.id;
  },
  methods: {
    submit() {
      if (this.form.deliveryName == null) {
        common_vendor.index.showToast({
          icon: "none",
          title: "\u8BF7\u8F93\u5165\u5FEB\u9012\u516C\u53F8"
        });
        return;
      }
      if (this.form.deliverySn == null) {
        common_vendor.index.showToast({
          icon: "none",
          title: "\u8BF7\u8F93\u5165\u5FEB\u9012\u5355\u53F7"
        });
        return;
      }
      api_storeAfterSales.addDelivery(this.form).then((res) => {
        if (res.code == 200) {
          common_vendor.index.showToast({
            icon: "success",
            title: "\u63D0\u4EA4\u6210\u529F"
          });
          common_vendor.index.navigateBack({
            delta: 1
          });
        } else {
          common_vendor.index.showToast({
            icon: "none",
            title: res.msg
          });
        }
      }, (rej) => {
      });
    }
  }
};
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return {
    a: $data.form.deliveryName,
    b: common_vendor.o(($event) => $data.form.deliveryName = $event.detail.value),
    c: $data.form.deliverySn,
    d: common_vendor.o(($event) => $data.form.deliverySn = $event.detail.value),
    e: common_vendor.o(($event) => $options.submit())
  };
}
var MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["render", _sfc_render], ["__file", "E:/Project/2023/\u95EE\u8BCA\u5E73\u53F0/his_user_miniapp/pages_order/storeOrderRefundAddDelivery.vue"]]);
wx.createPage(MiniProgramPage);
