"use strict";
var common_vendor = require("../common/vendor.js");
var api_common = require("../api/common.js");
require("../common/request.js");
const mpHtml = () => "../uni_modules/mp-html/mp-html.js";
const _sfc_main = {
  components: {
    mpHtml
  },
  data() {
    return {
      type: null,
      content: ""
    };
  },
  onLoad(options) {
    this.type = options.type;
    if (this.type == "doctorAgreement") {
      common_vendor.index.setNavigationBarTitle({
        title: "\u5165\u9A7B\u534F\u8BAE"
      });
    }
    if (this.type == "userRegister") {
      common_vendor.index.setNavigationBarTitle({
        title: "\u7528\u6237\u534F\u8BAE"
      });
    }
    if (this.type == "userPrivacy") {
      common_vendor.index.setNavigationBarTitle({
        title: "\u9690\u79C1\u534F\u8BAE"
      });
    }
    this.getConfig();
  },
  methods: {
    getConfig() {
      var data = { key: "his.agreementConfig" };
      api_common.getConfigByKey(data).then((res) => {
        if (res.code == 200) {
          if (this.type == "doctorRegister") {
            this.content = JSON.parse(res.data).doctorRegister;
          } else if (this.type == "doctorFiling") {
            this.content = JSON.parse(res.data).doctorFiling;
          } else if (this.type == "userRegister") {
            this.content = JSON.parse(res.data).userRegister;
          } else if (this.type == "userPrivacy") {
            this.content = JSON.parse(res.data).userPrivacy;
          }
        }
      }, (rej) => {
      });
    }
  }
};
if (!Array) {
  const _component_mp_html = common_vendor.resolveComponent("mp-html");
  _component_mp_html();
}
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return {
    a: common_vendor.p({
      content: $data.content
    })
  };
}
var MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["render", _sfc_render], ["__scopeId", "data-v-6392faa2"], ["__file", "E:/Project/2023/\u95EE\u8BCA\u5E73\u53F0/his_user_miniapp/pages_user/agreement.vue"]]);
wx.createPage(MiniProgramPage);
